Can't open depth source - Kinect fusion

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Can't open depth source - Kinect fusion

game4cesc
Hi,

Thanks all for helping me out in getting Kinfu to build in my machine.

i run into another issue, though, as when I run the command for 3D reconstruction scene, I got the following message
===============
$ sudo ./pcl_kinfu_largeScale

[pcl::gpu::printShortCudaDeviceInfo] : Device 0:  "GeForce GT 630"  2047Mb, sm_21, 96 cores, Driver/Runtime ver.6.0/4.0
Can't open depth source
================

As you can see my graphics card is GeForce GT 630 and I installed all the required packages before building Kinfu. I'm using Ubuntu 12.04 and my kinect is "Kinect for Windows" (K4W). Any suggestions? Thanks in advance.
Reply | Threaded
Open this post in threaded view
|

Re: Can't open depth source - Kinect fusion

game4cesc
This post was updated on .
CONTENTS DELETED
The author has deleted this message.
Reply | Threaded
Open this post in threaded view
|

Re: Can't open depth source - Kinect fusion

Jochen Sprickerhof
Administrator
Hi game4cesc,

* game4cesc <[hidden email]> [2013-11-05 00:17]:
> Any suggestions???

Please don't write such mails. We all read your first mail. The fact
that you didn't got an answer doesn't mean we ignore you, just the no
one had time to look into it, or maybe even no one knows the answer.

To your question, I guess that your Openni doesn't support your version
of the Kinect.

Cheers Jochen
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Can't open depth source - Kinect fusion

Saiga
This problem is caused by your kinect drivers.

You should deinstall all other SDK's that come with drivers for kinect (like windows SDK, Primesense drivers, and OPENNI ...)
Then you should download the OPENNI from pcl.org and install it in the default location
Next, you plug in you kinect => drivers should install automatically (e.g. just like when u insert a new mouse)

Now it should work fine.

Have fun
Maarten Bassier
PhD Student Ku Leuven, SLAM
Reply | Threaded
Open this post in threaded view
|

Re: Can't open depth source - Kinect fusion

MahdiY
This post has NOT been accepted by the mailing list yet.
In reply to this post by game4cesc
Dear game4cesc,

I was wondering if you could solve this problem. I am running kinfu using Kinect V1 and I see the same error.

[pcl::gpu::printShortCudaDeviceInfo] : Device 0:  "GeForce GT 640"  3069Mb, sm_21, 144 cores, Driver/Runtime ver.7.50/7.50
Can't open depth source

I have installed sensor driver from this link:
https://github.com/PrimeSense/Sensor

And OpenNI from this link:
https://github.com/OpenNI/OpenNI

Do you have any suggestion?

Thanks,